Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class BaseImportInput

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.BaseImportInput

All Implemented Interfaces:
  ImportInput

Direct Known Subclasses:
  FileSystemInput, ZipFileInput

    public abstract class BaseImportInput

extends java.lang.Object
implements ImportInput

Version:
  $Id: BaseImportInput.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BaseImportInput()`

Method Summary
`boolean` | `fileExists(java.lang.String parentPath, java.lang.String path)`
`java.io.InputStream` | `getFileInputStream(java.lang.String parentPath, java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.export.io.ImportInput
`close, fileExists, folderExists, getFileInputStream, open`

Constructor Detail

### BaseImportInput

    public BaseImportInput()

Method Detail

### getFileInputStream

    public java.io.InputStream getFileInputStream(java.lang.String parentPath,
                                                  java.lang.String path)
                                           throws java.io.IOException

  Specified by:
    `getFileInputStream` in interface `ImportInput`
  Throws:
    `java.io.IOException`

### fileExists

    public boolean fileExists(java.lang.String parentPath,
                              java.lang.String path)

  Specified by:
    `fileExists` in interface `ImportInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.